Subject: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

From: "Jon Shallow" <[email-masked]>
Date: Mon, 16 Jul 2018 17:56:57 +0100

Hi there,

I think that a GET request needs to be added into the following (OLD) text
to support a DOTS server configuration change getting to the DOTS client
when Max-Age expires, otherwise the DOTS client will override the DOTS
server configuration with the PUT of the old (pre configuration change)
values.

OLD

4.5.3.  Configuration Freshness and Notifications

   Max-Age Option (Section 5.10.5 of [RFC7252]) SHOULD be returned by a

   DOTS server to associate a validity time with a configuration it

   sends.  This feature allows the update of the configuration data if a

   change occurs at the DOTS server side.  For example, the new

   configuration may instruct a DOTS client to cease heartbeats or

   reduce heartbeat frequency.

..

   If a non-zero value of Max-Age Option is received by a DOTS client,

   it MUST issue a PUT request to refresh the configuration parameters

   for the signal channel before the expiry of the value enclosed in the

   Max-Age option.  When a DDoS attack is active, refresh requests MUST

   NOT be sent by DOTS clients and the DOTS server MUST NOT terminate

   the (D)TLS session after the expiry of the value returned in Max-Age

   Option.

NEW

4.5.3.  Configuration Freshness and Notifications

   Max-Age Option (Section 5.10.5 of [RFC7252]) SHOULD be returned by a

   DOTS server to associate a validity time with a configuration it

   sends.  This feature allows the update of the configuration data if a

   change occurs at the DOTS server side.  For example, the new

   configuration may instruct a DOTS client to cease heartbeats or

   reduce heartbeat frequency.

..

   If a non-zero value of Max-Age Option is received by a DOTS client,

   it first MUST do a GET to retrieve the current notion of the DOTS
server's configuration, and then 

   it MUST issue a PUT request to refresh the configuration parameters

   for the signal channel before the expiry of the value enclosed in the

   Max-Age option.  When a DDoS attack is active, refresh requests MUST

   NOT be sent by DOTS clients and the DOTS server MUST NOT terminate

   the (D)TLS session after the expiry of the value returned in Max-Age

   Option.

Or should it be that a GET causes the DOTS server to refresh its internal
remaining lifetime of the signal configuration and there is no need to do
the PUT refresh?

[This would be akin to requesting the time of a clock, it returns the
current time with a Max-Age of 1 (second), so the next time GET would be
have to be done a second later to get the new values.]

Regards

Jon

---

From: <[email-masked]>
Date: Mon, 16 Jul 2018 19:05:01 +0000

Jon,

I do see this as implementation specific. A client can send systematically a get before a put. A client may decide to send a put which echoes the information it received when the config was first agreed without a GET. Etc.

Why should we pick one way to proceed?

Cheers,
Med

De : Dots [mailto:[email-masked]] De la part de Jon Shallow
Envoyé : lundi 16 juillet 2018 12:57
À : [email-masked]
Objet : [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi there,

I think that a GET request needs to be added into the following (OLD) text to support a DOTS server configuration change getting to the DOTS client when Max-Age expires, otherwise the DOTS client will override the DOTS server configuration with the PUT of the old (pre configuration change) values.

OLD

NEW

   it first MUST do a GET to retrieve the current notion of the DOTS server's configuration, and then

Or should it be that a GET causes the DOTS server to refresh its internal remaining lifetime of the signal configuration and there is no need to do the PUT refresh?
[This would be akin to requesting the time of a clock, it returns the current time with a Max-Age of 1 (second), so the next time GET would be have to be done a second later to get the new values.]

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Mon, 16 Jul 2018 20:28:57 +0100

Hi Med,

This is all about giving the DOTS server the ability to get the DOTS client
to use a new signal channel configuration.

Agreed, it could be implementation specific.  I had followed the draft text
(not using Observe and not sending Max-AGE), made a change to the DOTS
server config and found that the DOTS client had stamped all over the new
DOTS server config within 60 seconds.  I then realised that a DOTS client
following the draft cannot be reconfigured for, say, heartbeat intervals if
Observe is not in use.

The more I think about this, the more I am going in the direction that the
client needs to do a GET prior to Max-Age expiry (or 60 secs if Max-Age is
not defined) to cause the DOTS server to recognize the config has been
updated on the client (it is a CON message) and there is no need to do a PUT
to refresh the configuration (but can be used if the DOTS client does not
like something in the new DOTS server configuration).

If Observe is set, the DOTS server will send out the current configuration
as a unsolicited GET response before Max-Age expires – so the DOTS client
does not have to do the GET

Furthermore, as the SID has to be monotonically incremented for each PUT,
then the SID has the potential to overflow after high uptimes – causing
other issues not covered in the draft.

So alternative NEW could be (single word change)

NEW

..

   it MUST issue a GET request to refresh the configuration parameters

   Option.

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of
[email-masked]
Sent: 16 July 2018 20:05
To: Jon Shallow; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and
Notifications

Jon, 

I do see this as implementation specific. A client can send systematically a
get before a put. A client may decide to send a put which echoes the
information it received when the config was first agreed without a GET. Etc.

Cheers,

Med

De : Dots [mailto:[email-masked]] De la part de Jon Shallow
Envoyé : lundi 16 juillet 2018 12:57
À : [email-masked]
Objet : [Dots] Signal Channel 4.5.3 Configuration Freshness and
Notifications

Hi there,

OLD

..

   Option.

NEW

..

   it first MUST do a GET to retrieve the current notion of the DOTS
server’s configuration, and then 

   Option.

Regards

Jon

---

From: <[email-masked]>
Date: Mon, 16 Jul 2018 21:43:16 +0000

Re-,

Please see inline.

Cheers,
Med

De : Jon Shallow [mailto:[email-masked]]
Envoyé : lundi 16 juillet 2018 15:29
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi Med,

This is all about giving the DOTS server the ability to get the DOTS client to use a new signal channel configuration.
[Med] Yes.

Agreed, it could be implementation specific.  I had followed the draft text (not using Observe and not sending Max-AGE), made a change to the DOTS server config and found that the DOTS client had stamped all over the new DOTS server config within 60 seconds.  I then realised that a DOTS client following the draft cannot be reconfigured for, say, heartbeat intervals if Observe is not in use.

The more I think about this, the more I am going in the direction that the client needs to do a GET prior to Max-Age expiry (or 60 secs if Max-Age is not defined) to cause the DOTS server to recognize the config has been updated on the client (it is a CON message) and there is no need to do a PUT to refresh the configuration (but can be used if the DOTS client does not like something in the new DOTS server configuration).

If Observe is set, the DOTS server will send out the current configuration as a unsolicited GET response before Max-Age expires - so the DOTS client does not have to do the GET

Furthermore, as the SID has to be monotonically incremented for each PUT
[Med] normally, this is a refresh. So the same SID will be used.

, then the SID has the potential to overflow after high uptimes - causing other issues not covered in the draft.
[Med] DO you think that we need to say something in the draft about this?

So alternative NEW could be (single word change)
[Med] I like this one word change.

NEW

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of [email-masked]
Sent: 16 July 2018 20:05
To: Jon Shallow; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 17 Jul 2018 07:46:06 +0000

I don’t get the change. GET request with SID will help the DOTS client retrieve the current DOTS server signal channel configuration and identify if the configuration has updated.
How will the GET request (I presume with SID) refresh the DOTS signal channel configuration parameters ?

-Tiru

From: Dots [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, July 17, 2018 3:13 AM
To: Jon Shallow <[email-masked]>; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

CAUTION: External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.

________________________________
Re-,

Please see inline.

Cheers,
Med

De : Jon Shallow [mailto:[email-masked]]
Envoyé : lundi 16 juillet 2018 15:29
À : BOUCADAIR Mohamed IMT/OLN; [email-masked]<mailto:[email-masked]>
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi Med,

If Observe is set, the DOTS server will send out the current configuration as a unsolicited GET response before Max-Age expires – so the DOTS client does not have to do the GET

, then the SID has the potential to overflow after high uptimes – causing other issues not covered in the draft.
[Med] DO you think that we need to say something in the draft about this?

NEW

Regards

Jon

From: Dots [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: 16 July 2018 20:05
To: Jon Shallow; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Jon,

Cheers,
Med

De : Dots [mailto:[email-masked]] De la part de Jon Shallow
Envoyé : lundi 16 juillet 2018 12:57
À : [email-masked]<mailto:[email-masked]>
Objet : [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi there,

OLD

NEW

   it first MUST do a GET to retrieve the current notion of the DOTS server’s configuration, and then

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Tue, 17 Jul 2018 09:04:13 +0100

Hi Tiru,

See inline (including Med’s response).

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 17 July 2018 08:46
To: [email-masked]; Jon Shallow; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Jon> Correct – now both ends have a common notion of what the signal channel configuration is.  If the DOTS client cannot accept the change for whatever reason, it is then entitled to update it with PUT to something that is acceptable to both ends (but we do not cover how to break a cycle of updates that neither end likes)

Jon> By doing the GET, both ends are in agreement (at that point in time), so the current configuration is “fresh” and so no need to do a “refresh”.

Jon> The DOTS server can still remove the configuration if a GET has not been received for Max-Age time.

Jon> Also, the GET (which is confirmable) should not be done during a mitigation.

Jon> If Observe is active, the DOTS server sends an unsolicited GET response and again, both ends are again considered to be “fresh”.  If the PUT requirement is still there, after receiving the unsolicited GET response, the DOTS client has to do a PUT refresh – makes no sense to me and a waste of bandwidth.

-Tiru

  _____  

Re-,

Please see inline.

Cheers,

Med

Hi Med,

[Med] Yes.

Jon> Unclear from the text that this is the thing to do.

 

Jon> Same is also true for MID.  Something like a TCP Sequence Number comparison of last and new SID/MID works for me as it handles wrap around.

~Jon

NEW

..

   Option.

Regards

Jon

Jon, 

Cheers,

Med

Hi there,

OLD

..

   Option.

NEW

..

   Option.

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 17 Jul 2018 09:20:04 +0000

Got it, thanks.   In the following line, we should replace “PUT” with “GET”

   If Max-Age Option is not returned in a response, DOTS servers should
   expect to receive PUT requests to refresh the configuration
   parameters each 60 seconds (Section 5.10.5 of [RFC7252]<https://tools.ietf.org/html/rfc7252#section-5.10.5>).

Cheers
-Tiru

From: Jon Shallow [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 1:34 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Regards

Jon

From: Dots [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 17 July 2018 08:46
To: [email-masked]<mailto:[email-masked]>; Jon Shallow; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

-Tiru

From: Dots [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Tuesday, July 17, 2018 3:13 AM
To: Jon Shallow <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Tue, 17 Jul 2018 10:25:58 +0100

Hi Tiru,

Being a pedant, “receive PUT” should be “initiate GET” !

Regards

Jon

From: Dots [mailto:[email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 17 July 2018 10:20
To: Jon Shallow; [email-masked]; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

   parameters each 60 seconds (Section <https://tools.ietf.org/html/rfc7252#section-5.10.5>  5.10.5 of [RFC7252]).

Cheers

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Re-,

Please see inline.

Cheers,

Med

Hi Med,

[Med] Yes.

 

~Jon

NEW

..

   Option.

Regards

Jon

Jon, 

Cheers,

Med

Hi there,

OLD

..

   Option.

NEW

..

   Option.

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 17 Jul 2018 09:29:38 +0000

NEW:
   If Max-Age Option is not returned in a response, DOTS clients should
   initiate GET request to refresh the configuration
   parameters each 60 seconds (Section 5.10.5 of [RFC7252]<https://tools.ietf.org/html/rfc7252#section-5.10.5>).

-Tiru

From: Jon Shallow [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 2:56 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Regards

Jon

From: Dots [mailto:[email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 17 July 2018 10:20
To: Jon Shallow; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Cheers
-Tiru

From: Jon Shallow [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 1:34 PM
To: Konda, Tirumaleswar Reddy <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Regards

Jon

-Tiru

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: <[email-masked]>
Date: Tue, 17 Jul 2018 13:11:11 +0000

Hi all,

To close this one, the full changes are as follows :

                   ^^^^

   If Max-Age Option is not returned in a response, DOTS clients
                                                    ^^^^^^^^^^^^
   initiate GET requests to refresh the configuration parameters each 60
   ^^^^^^^^^^^^^^^^^^^^^^
   seconds (Section 5.10.5 of [RFC7252]).

I’m not using normative language for the second change because not returning a max-age is not recommended.

Cheers,
Med

De : Konda, Tirumaleswar Reddy [mailto:[email-masked]]
Envoyé : mardi 17 juillet 2018 05:30
À : Jon Shallow; [email-masked]; BOUCADAIR Mohamed IMT/OLN
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

NEW:

-Tiru

Regards

Jon

Cheers
-Tiru

Regards

Jon

-Tiru

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Tue, 17 Jul 2018 14:29:23 +0100

Thanks.

Looks good to me.

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of [email-masked]
Sent: 17 July 2018 14:11
To: Konda, Tirumaleswar Reddy; Jon Shallow; [email-masked]
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi all, 

                   ^^^^

   Option.

                                                    ^^^^^^^^^^^^

   ^^^^^^^^^^^^^^^^^^^^^^                                      

Cheers,

Med

NEW:

   parameters each 60 seconds ( <https://tools.ietf.org/html/rfc7252#section-5.10.5> Section 5.10.5 of [RFC7252]).

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Cheers

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Re-,

Please see inline.

Cheers,

Med

Hi Med,

[Med] Yes.

 

~Jon

NEW

..

   Option.

Regards

Jon

Jon, 

Cheers,

Med

Hi there,

OLD

..

   Option.

NEW

..

   Option.

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Tue, 17 Jul 2018 13:56:48 +0000

Replace “DOTS clients initiate GET requests” with “DOTS client initiates GET requests”

-Tiru

From: Jon Shallow [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 6:59 PM
To: [email-masked]; [email-masked]; Konda, Tirumaleswar Reddy <[email-masked]>
Subject: RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Looks good to me.

Regards

Jon

From: Dots [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: 17 July 2018 14:11
To: Konda, Tirumaleswar Reddy; Jon Shallow; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi all,

Cheers,
Med

De : Konda, Tirumaleswar Reddy [mailto:[email-masked]]
Envoyé : mardi 17 juillet 2018 05:30
À : Jon Shallow; [email-masked]<mailto:[email-masked]>; BOUCADAIR Mohamed IMT/OLN
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

NEW:

-Tiru

Regards

Jon

Cheers
-Tiru

Regards

Jon

-Tiru

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: <[email-masked]>
Date: Tue, 17 Jul 2018 14:37:39 +0000

Re-,

The changes are implemented in -21.

This point is closed.

Cheers,
Med

De : Konda, Tirumaleswar Reddy [mailto:[email-masked]]
Envoyé : mardi 17 juillet 2018 09:57
À : Jon Shallow; BOUCADAIR Mohamed IMT/OLN; [email-masked]
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

-Tiru

Looks good to me.

Regards

Jon

Hi all,

Cheers,
Med

NEW:

-Tiru

Regards

Jon

Cheers
-Tiru

Regards

Jon

-Tiru

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

---

From: kaname nishizuka <[email-masked]>
Date: Thu, 19 Jul 2018 03:39:43 +0900

Hi,

I feel the first reader will be confused with this change as Tiru pointed out.
"How will the GET request (I presume with SID) refresh the DOTS signal channel configuration parameters ?"

It should be accompanied with a sense of this line by Jon,
Jon> By doing the GET, both ends are in agreement (at that point in time), so the current configuration is “fresh” and so no need to do a “refresh”.

regards,
Kaname

On 2018/07/17 23:37, [email-masked] wrote:
> *De :*Konda, Tirumaleswar Reddy [mailto:[email-masked]]
> *Envoyé :* mardi 17 juillet 2018 09:57
> *À :* Jon Shallow; BOUCADAIR Mohamed IMT/OLN; [email-masked]
> *Objet :* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *From:*Jon Shallow [mailto:[email-masked]]
> *Sent:* Tuesday, July 17, 2018 6:59 PM
> *To:* [email-masked]; [email-masked]; Konda, Tirumaleswar Reddy <[email-masked]>
> *Subject:* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *CAUTION*:External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
> ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Thanks.
>
> Looks good to me.
>
> Regards
>
> Jon
>
> *From:*Dots [mailto: [email-masked] <mailto:[email-masked]>] *On Behalf Of [email-masked] <mailto:[email-masked]>
> *Sent:* 17 July 2018 14:11
> *To:* Konda, Tirumaleswar Reddy; Jon Shallow; [email-masked] <mailto:[email-masked]>
> *Subject:* Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> Hi all,
>
> *De :*Konda, Tirumaleswar Reddy [mailto:[email-masked]]
> *Envoyé :* mardi 17 juillet 2018 05:30
> *À :* Jon Shallow; [email-masked] <mailto:[email-masked]>; BOUCADAIR Mohamed IMT/OLN
> *Objet :* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> NEW:
> parameters each 60 seconds (Section 5.10.5 of [RFC7252] <https://tools.ietf.org/html/rfc7252#section-5.10.5>).
>
> -Tiru
>
> *From:*Jon Shallow [mailto:[email-masked]]
> *Sent:* Tuesday, July 17, 2018 2:56 PM
> *To:* Konda, Tirumaleswar Reddy <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> *Subject:* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *CAUTION*:External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
> ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Hi Tiru,
>
> *From:*Dots [mailto:[email-masked]] *On Behalf Of *Konda, Tirumaleswar Reddy
> *Sent:* 17 July 2018 10:20
> *To:* Jon Shallow; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> *Subject:* Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> parameters each 60 seconds (Section 5.10.5 of [RFC7252] <https://tools.ietf.org/html/rfc7252#section-5.10.5>).
>
> Cheers
>
> -Tiru
>
> *From:*Jon Shallow [mailto:[email-masked]]
> *Sent:* Tuesday, July 17, 2018 1:34 PM
> *To:* Konda, Tirumaleswar Reddy <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> *Subject:* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *CAUTION*:External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
> ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Hi Tiru,
>
> *From:*Dots [mailto: [email-masked] <mailto:[email-masked]>] *On Behalf Of *Konda, Tirumaleswar Reddy
> *Sent:* 17 July 2018 08:46
> *To:* [email-masked] <mailto:[email-masked]>; Jon Shallow; [email-masked] <mailto:[email-masked]>
> *Subject:* Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *From:*Dots [mailto:[email-masked]] *On Behalf Of [email-masked] <mailto:[email-masked]>
> *Sent:* Tuesday, July 17, 2018 3:13 AM
> *To:* Jon Shallow <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>
> *Subject:* Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> *CAUTION*:External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
> ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Re-,
>
> Please see inline.
>
> Cheers,
>
> Med
>
> *De :*Jon Shallow [mailto:[email-masked]]
> *Envoyé :* lundi 16 juillet 2018 15:29
> *À :* BOUCADAIR Mohamed IMT/OLN; [email-masked] <mailto:[email-masked]>
> *Objet :* RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> Hi Med,
>
>    it MUST issue a */GET/* request to refresh the configuration parameters
>
> *From:*Dots [mailto: [email-masked] <mailto:[email-masked]>] *On Behalf Of [email-masked] <mailto:[email-masked]>
> *Sent:* 16 July 2018 20:05
> *To:* Jon Shallow; [email-masked] <mailto:[email-masked]>
> *Subject:* Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> Jon,
>
> *De :*Dots [mailto:[email-masked]] *De la part de* Jon Shallow
> *Envoyé :* lundi 16 juillet 2018 12:57
> *À :* [email-masked] <mailto:[email-masked]>
> *Objet :* [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications
>
> Hi there,
>
> /it first MUST do a GET to retrieve the current notion of the DOTS server’s configuration, and then /
>
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

---

From: <[email-masked]>
Date: Tue, 31 Jul 2018 14:47:27 +0000

Hi Kaname,

Together with Tiru, we are proposing to make this change to address your comment:

OLD:

NEW :
   If a non-zero value of Max-Age Option is received by a DOTS client,
   it MUST issue a GET request with 'sid' Uri-Path parameter to retrieve
   the current and acceptable configuration before the expiry of the
   value enclosed in the Max-Age option.  This request is considered by
   the client and the server as a means to refresh the configuration
   parameters for the signal channel.  When a DDoS attack is active,
   refresh requests MUST NOT be sent by DOTS clients and the DOTS server
   MUST NOT terminate the (D)TLS session after the expiry of the value
   returned in Max-Age Option.

Does this change address your concern? Thanks.

Cheers,
Med

De : kaname nishizuka [mailto:[email-masked]]
Envoyé : mercredi 18 juillet 2018 20:40
À : BOUCADAIR Mohamed IMT/OLN; Konda, Tirumaleswar Reddy; Jon Shallow; [email-masked]
Objet : Re: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Hi,

regards,
Kaname
On 2018/07/17 23:37, [email-masked]<mailto:[email-masked]> wrote:
Re-,

This point is closed.

Cheers,
Med

De : Konda, Tirumaleswar Reddy [mailto:[email-masked]]
Envoyé : mardi 17 juillet 2018 09:57
À : Jon Shallow; BOUCADAIR Mohamed IMT/OLN; [email-masked]<mailto:[email-masked]>
Objet : RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

-Tiru

From: Jon Shallow [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 6:59 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Konda, Tirumaleswar Reddy <[email-masked]><mailto:[email-masked]>
Subject: RE: [Dots] Signal Channel 4.5.3 Configuration Freshness and Notifications

Looks good to me.

Regards

Jon

Hi all,

Cheers,
Med

NEW:

-Tiru

Regards

Jon

Cheers
-Tiru

Regards

Jon

-Tiru

Please see inline.

Cheers,
Med

Hi Med,

~Jon

NEW

Regards

Jon

Jon,

Cheers,
Med

Hi there,

OLD

NEW

Regards

Jon

Dots mailing list

[email-masked]<mailto:[email-masked]>